Subject: Re: [patch 1/3] fix buggy IEEE80211_CRYPT_* selects

From: Jeff Garzik <[email-masked]>
Date: Sun, 06 Mar 2005 13:00:50 -0500

Herbert Xu wrote:
> On Sat, Mar 05, 2005 at 12:07:18AM +0100, Adrian Bunk wrote:
> 
>>The way kconfig currently works, you have to ensure that the 
>>dependencies of what you select are fulfilled.
> 
> 
> Yes Adrian's right.  In the other places where we select CRYPTO
> symbols, we always make sure that CRYPTO itself is selected.  See
> net/ipv4/Kconfig for example.

I would rather fix Kconfig.  If we are selecting X_1 -- which explicitly 
depends on X -- when Kconfig should automatically select X.

It is completely illogical to duplicate a dependency chain each time you 
wish to select a symbol.

	Jeff